# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name highlighting-kate

Name:           %{pkg_name}
Version:        0.5.3.9
Release:        2%{?dist}
Summary:        Sourcecode syntax highlighting library

License:        GPLv2+
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-blaze-html-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-pcre-light-devel
# End cabal-rpm deps

%description
Highlighting-kate is a syntax highlighting library with support for
nearly one hundred languages. The syntax parsers are automatically
generated from Kate syntax descriptions (http://kate-editor.org/),
so any syntax supported by Kate can be added.

The base package provides the Highlighting commandline program.


%package -n ghc-%{name}
Summary:        Haskell %{name} library

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.


%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       ghc-%{name} = %{version}-%{release}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.


%prep
%setup -q

cabal-tweak-flag executable True
cabal-tweak-flag pcre-light True


%build
%ghc_lib_build


%install
%ghc_lib_install


%post -n ghc-%{name}-devel
%ghc_pkg_recache


%postun -n ghc-%{name}-devel
%ghc_pkg_recache


%files
%doc LICENSE
%attr(755,root,root) %{_bindir}/Highlight


%files -n ghc-%{name} -f ghc-%{name}.files
%doc LICENSE


%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files
%doc README changelog


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 10 2013 Jens Petersen <petersen@redhat.com> - 0.5.3.9-1
- update to 0.5.3.9
- update to new simplified Haskell Packaging Guidelines

* Sun Mar 10 2013 Jens Petersen <petersen@redhat.com> - 0.5.3.8-1
- update to 0.5.3.8

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 31 2012 Jens Petersen <petersen@redhat.com> - 0.5.3.3-1
- update to 0.5.3.3
- turn on .cabal executable flag with patch

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 0.5.1-2
- change prof BRs to devel

* Sun Jun 10 2012 Jens Petersen <petersen@redhat.com> - 0.5.1-1
- update to 0.5.1

* Fri Mar 23 2012 Jens Petersen <petersen@redhat.com> - 0.5.0.5-2
- add license to ghc_files

* Mon Mar  5 2012 Jens Petersen <petersen@redhat.com> - 0.5.0.5-1
- update to 0.5.0.5

* Mon Feb 13 2012 Jens Petersen <petersen@redhat.com> - 0.5.0.3-1
- update to 0.5.0.3
- patch to use pcre-light and fix version
- new depends on blaze-html

* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 0.2.10-3
- Rebuild against PCRE 8.30

* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 0.2.10-2
- update to cabal2spec-0.25.2

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.2.10-1.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.2.10-1.1
- rebuild with new gmp

* Fri Jul 22 2011 Jens Petersen <petersen@redhat.com> - 0.2.10-1
- update to 0.2.10

* Tue Jul 12 2011 Jens Petersen <petersen@redhat.com> - 0.2.9-2
- update to cabal2spec-0.23.2

* Thu Jun  2 2011 Jens Petersen <petersen@redhat.com> - 0.2.9-1
- GPLv2+
- add all dependencies

* Thu Jun  2 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.9-0
- initial packaging for Fedora automatically generated by cabal2spec-0.23
